#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	JSON
%define	pnam	XS
Summary:	JSON::XS - JSON serialising/deserialising, done correctly and fast
Summary(pl.UTF-8):	JSON::XS - serializacja/deserializacja JSON wykonana poprawnie i szybko
Name:		perl-JSON-XS
Version:	4.03
Release:	5
Epoch:		2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/JSON/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5358225ebc9f5b74516d7585ac236086
URL:		https://metacpan.org/release/JSON-XS
BuildRequires:	perl-Canary-Stability
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.52
BuildRequires:	perl-devel >= 1:5.8.3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Encode
BuildRequires:	perl-Types-Serialiser
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module converts Perl data structures to JSON and vice versa. Its
primary goal is to be correct and its secondary goal is to be fast. To
reach the latter goal it was written in C.

As this is the n-th-something JSON module on CPAN, what was the reason
to write yet another JSON module? While it seems there are many JSON
modules, none of them correctly handle all corner cases, and in most
cases their maintainers are unresponsive, gone missing, or not
listening to bug reports for other reasons.

%description -l pl.UTF-8
Ten moduł konwertuje struktury danych Perla do formatu JSON i
odwrotnie. Jego podstawowym celem jest poprawne działanie, a drugim -
szybkość. W celu osiągnięcia tego drugiego celu został napisany w C.

Jako że jest to już któryś moduł JSON w CPAN-ie, musiała istnieć jakaś
przyczyna dla napisania kolejnego modułu JSON. O ile istnieje wiele
takich modułów, żaden z nich nie obsługiwał wszystkich skrajnych
przypadków i w większości przypadków utrzymujący moduły nie
odpowiadali, zaginęli lub z innych powodów nie zwracali uwagi na
zgłoszenia błędów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/json_xs
%{perl_vendorarch}/JSON/XS.pm
%{perl_vendorarch}/JSON/XS
%dir %{perl_vendorarch}/auto/JSON
%dir %{perl_vendorarch}/auto/JSON/XS
%attr(755,root,root) %{perl_vendorarch}/auto/JSON/XS/*.so
%{_mandir}/man1/json_xs.1p*
%{_mandir}/man3/JSON::XS.3pm*
%{_mandir}/man3/JSON::XS::Boolean.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-JSON-XS.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 4459581
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> f219e6e
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 64f0184
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d152fe1
- rebuild with perl 5.34.0

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 6976a13
- updated URL and dependencies

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> e4ccc2e
- up to 4.03

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0bcb1f4
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 7ed729c
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ad2c3b3
- up to 4.02

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> f4d3520
- release 2

* Sun Jul 29 2018 Adam Osuchowski <adwol@pld-linux.org> 3ffb472
- up to 3.04
- typo

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 36d88a3
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 266e959
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 51b6eaa
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jun 05 2016 Elan Ruusamäe <glen@delfi.ee> 60c4f36
- up to 3.02; upate deps

* Sun Jun 05 2016 Elan Ruusamäe <glen@delfi.ee> 008200d
- up to 3.02 (Fri Feb 26 22:45:20 CET 2016)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5776bfb
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a007e8a
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 502cfab
- up to 3.01

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 7f7cfb8
- release 4 (by relup.sh)

